3.8.78 spine version crush (android bundle)

#1

When testing, everything is fine.
I have defold 1.2.164 ver

java.lang.NullPointerException
at com.dynamo.bob.util.SpineSceneUtil.loadSkin(SpineSceneUtil.java:736)
at com.dynamo.bob.util.SpineSceneUtil.loadJson(SpineSceneUtil.java:893)
at com.dynamo.bob.pipeline.SpineSceneBuilder.build(SpineSceneBuilder.java:384)
at com.dynamo.bob.Project.runTasks(Project.java:1010)
at com.dynamo.bob.Project.doBuild(Project.java:811)
at com.dynamo.bob.Project.build(Project.java:438)
at com.dynamo.bob.Bob.main(Bob.java:558)

0 Likes

No default skin found!
#2

Can you supply a spine model that fails?

1 Like

#3

level_end.zip (67.1 KB)
This is a json file with bones.
The problem is solved if you do the following

- "spine": "3.8.78", -- change spine version
+ "spine": "3.7.94",
- "skins": [ -- change skins sections (array to object)
- {
- "name": "default",
- "attachments": {
+ "skins": {
+ "default": {
1 Like

#4

Ok, yes beware that we only support Spine 2.x.

1 Like

#5

I found and easier way to solve ti. check this thread: No default skin found !

2 Likes